Bug 474820 - Xorg crashes when using Option AccelMethod XAA in xorg.conf leaving no log
Xorg crashes when using Option AccelMethod XAA in xorg.conf leaving no log
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2008-12-05 09:30 EST by Giacomo Montagner
Modified: 2009-12-04 12:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-04 12:57:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Configuration file I'm using now (1.30 KB, text/plain)
2008-12-09 09:45 EST, Giacomo Montagner
no flags Details
Log generated with the above config (84.51 KB, text/plain)
2008-12-09 09:45 EST, Giacomo Montagner
no flags Details

  None (edit)
Description Giacomo Montagner 2008-12-05 09:30:28 EST
Description of problem:
Since EXA is too slow on my notebook, I tried to enable old XAA AccelMethod in xorg.conf, but X crashes and freezes my pc. I then need to keep pressed the power button to poweroff the notebook since no other option works (including SysRq). When I reboot I find the old Xorg.0.log (probably because EXT3 FS gets repaired during the boot process). 

My hardware: 
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. remove xorg.conf if any
2. generate a new xorg.conf with system-config-display
3. enable XAA: 

Option "AccelMethod" "XAA" 

in section Device, in my case: 

Section "Device"
        Identifier  "Videocard0"
        Driver      "intel"
        Option      "AccelMethod"   "XAA"

4. restart X
Actual results:
X crashes and freezes the notebook, no action works, need to force poweroff physically.

Expected results:
Work with XAA AccelMethod

Additional info:
Comment 1 Matěj Cepl 2008-12-05 10:32:03 EST
What happens when you remove /etc/X11/xorg.conf completely and run Xorg without the one? Does it work? Will you get /var/log/Xorg.0.log this way? Could you attach it to this bug report, please?

Thank you
Comment 2 Giacomo Montagner 2008-12-09 09:45:06 EST
Created attachment 326319 [details]
Configuration file I'm using now
Comment 3 Giacomo Montagner 2008-12-09 09:45:54 EST
Created attachment 326320 [details]
Log generated with the above config
Comment 4 Giacomo Montagner 2008-12-09 09:51:33 EST
sorry for the long latency, I got a family weekend :) 

When running without xorg.conf it definitely works, but I suppose it's using EXA, since 3D is so slow I cannot use desktop effects. 
Now I'm using the attached xorg.conf in order to disable tap-to-click (I'm not touchpad-frinedly), I attached Xorg.0.log I got using that xorg.conf, hope this helps. Of course I experience the same slowness on 3D with this xorg.conf I'm using now, and cannot enable desktop effects (the same situation I've been in sice EXA became the default, but in Fedora 9 I was able to workaround this by forcing XAA). 


Comment 5 Vedran Miletić 2009-11-05 18:11:58 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Bug Zapper 2009-11-18 05:21:04 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Vedran Miletić 2009-12-04 12:57:25 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:


Note You need to log in before you can comment on or make changes to this bug.